/* src/config.h.  Generated from config.h.in by configure.  */
/* -*- c -*- */
/******************************************************************************
 * DESCRIPTION: Dinotrace source: configure source; system configuration
 *
 * This file is part of Dinotrace.
 *
 * Author: Wilson Snyder <wsnyder@wsnyder.org>
 *
 * Code available from: http://www.veripool.org/dinotrace
 *
 ******************************************************************************
 *
 * This file is covered by the GNU public licence.
 *
 * Dinotrace is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3, or (at your option)
 * any later version.
 *
 * Dinotrace is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Dinotrace; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 *****************************************************************************/

/* Note: VMS doesn't use configure, so force values as appropriate */

/**********************************************************************/
/**** Version and host name */

#define DTVERSION	"Dinotrace 9.4b"

/* When this version will expire */
/*#define EXPIRATION	((60*60*24)*6*30) / * 6months - In seconds - Comment out define for no expiration dates */
#define	EXPIRATION 0

/*la @HOST@ */

#ifndef HOST
# ifdef VMS
#  ifdef __alpha
#   define HOST ""
#  else
#   define HOST ""
#  endif
# else
#  define HOST ""
# endif
#endif

/* Have inlining?  If supported, configure will define it */
/*#undef	inline*/

/**********************************************************************/
/**** Functions */
/* Set define if we have function: strdup (string) */
#define HAVE_STRDUP 1

/* Set define if we have function: gethostname */
#define HAVE_GETHOSTNAME 1

/* Set define if we have function: strcasecmp */
#define HAVE_STRCASECMP 1

/**********************************************************************/
/**** Protos */

/* Set define if we have prototype for: gethostname */
/* Default to yes */
#define HAVE_GETHOSTNAME_PROTO 1

/**********************************************************************/
/**** Headers */
/* Set define if we have header: <fcntl.h> */
#define HAVE_FCNTL_H 1

/* Set define if we have header: <math.h> */
#define HAVE_MATH_H 1

/* Set define if we have header: <unistd.h> */
#define HAVE_UNISTD_H 1

/* Set define if we have header: <sys/time.h> */
#define HAVE_SYS_TIME_H 1

/* Set define if we have header: <sys/un.h> */
#define HAVE_SYS_UN_H 1

/**********************************************************************/
/**** System Information */

/* Set define if words are stored with the most significant byte first */
/* (like Motorola and SPARC, but not Intel and VAX, CPUs) */
#define WORDS_BIGENDIAN 0

/* Set define if we have sockets */
#define HAVE_SOCKETS 1
#ifdef VMS
/* #undef HAVE_SOCKETS */
#define HAVE_SOCKETS 0
#endif

/**********************************************************************/
/**** Compile options */

/* Set define if we have lesstif */
#ifdef VMS
#define HAVE_LESSTIF 0
#endif
#ifdef __alpha
#define HAVE_LESSTIF 0
#endif
#ifndef HAVE_LESSTIF
#define HAVE_LESSTIF 1
#endif

/* Set define if documentation is inlinable (need perl) */
#define HAVE_DINODOC_H 1

/* Set define if using simview */
#ifndef HAVE_SIMVIEW
#define HAVE_SIMVIEW 0
#endif

/* Information on when we were configured */
#define CONFIG_DATE_STRG "Tue Jan 12 19:13:24 EST 2010"

/* Typedefs that should be typedefed, else configure will pick em up */
#define uint_t unsigned int
#define ulong_t unsigned long
/* #undef size_t */

/* Typedefs that system includes should define, but may not */
#if defined(__sun__) && !defined(__svr4__)
extern int	printf(), fprintf(), scanf(), sscanf(), fputs();
extern int	fclose(), pclose(), fflush();
extern void	rewind();
extern char	toupper(char);
#endif
